Index: share/man/man4/gpioiic.4
===================================================================
--- share/man/man4/gpioiic.4	(revision 258550)
+++ share/man/man4/gpioiic.4	(working copy)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd November 5, 2013
+.Dd November 26, 2013
 .Dt GPIOIIC 4
 .Os
 .Sh NAME
@@ -73,12 +73,75 @@
 .Va hint.gpioiic.%d.pins
 should be used as the SCLOCK
 source.
+Optional, defaults to 0.
 .It Va hint.gpioiic.%d.sda
 Indicates which bit in the
 .Va hint.gpioiic.%d.pins
 should be used as the SDATA
 source.
+Optional, defaults to 1.
 .El
+.Pp
+On a
+.Xr FDT 4
+based system, like
+.Li ARM , the dts part for a
+.Nm gpioiic
+device usually looks like:
+.Bd -literal
+gpio: gpio {
+
+	gpio-controller;
+	...
+
+	gpioiic0 {
+		compatible = "gpioiic";
+		/*
+		 * Attach to GPIO pins 21 and 22.  Set them
+		 * initially as inputs.
+		 */
+		gpios = <&gpio 21 1 0
+			 &gpio 22 1 0>;
+		scl = <0>;		/* GPIO pin 21 */
+		sda = <1>;		/* GPIO pin 22 */
+
+		/* This is an example of a gpioiic child. */
+		gpioiic-child0 {
+			compatible = "lm75";
+			i2c-address = <0x9e>;
+		};
+	};
+};
+.Ed
+.Pp
+Where:
+.Bl -tag -width ".Va compatible"
+.It Va compatible
+Should always be set to "gpioiic".
+.It Va gpios
+The
+.Va gpios
+property indicates which GPIO pins should be used for SCLOCK and SDATA
+on the GPIO IIC bit-banging bus.
+For more details about the
+.Va gpios
+property, please consult
+.Pa /usr/src/sys/boot/fdt/dts/bindings-gpio.txt .
+.It Va scl
+The
+.Va scl
+option indicates which bit in the
+.Va gpios
+should be used as the SCLOCK source.
+Optional, defaults to 0.
+.It Va sda
+The
+.Va sda
+option indicates which bit in the
+.Va gpios
+should be used as the SDATA source.
+Optional, defaults to 1.
+.El
 .Sh SEE ALSO
 .Xr gpio 4 ,
 .Xr gpioled 4 ,
Index: share/man/man4/gpioled.4
===================================================================
--- share/man/man4/gpioled.4	(revision 258550)
+++ share/man/man4/gpioled.4	(working copy)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd November 5, 2013
+.Dd November 26, 2013
 .Dt GPIOLED 4
 .Os
 .Sh NAME
@@ -68,6 +68,73 @@
 Please note that this mask should only ever have one bit set
 (any others bits - i.e., pins - will be ignored).
 .El
+.Pp
+On a
+.Xr FDT 4
+based system, like
+.Li ARM , the dts part for a
+.Nm gpioled
+device usually looks like:
+.Bd -literal
+gpio: gpio {
+
+	gpio-controller;
+	...
+
+	led0 {
+		compatible = "gpioled";
+		gpios = <&gpio 16 2 0>;		/* GPIO pin 16. */
+		name = "ok";
+	};
+
+	led1 {
+		compatible = "gpioled";
+		gpios = <&gpio 17 2 0>;		/* GPIO pin 17. */
+		name = "user-led1";
+	};
+};
+.Ed
+.Pp
+And optionally, you can choose combine all the leds under a single
+.Dq gpio-leds
+compatible node:
+.Bd -literal
+simplebus0 {
+
+	...
+
+	leds {
+		compatible = "gpio-leds";
+
+		led0 {
+			gpios = <&gpio 16 2 0>;
+			name = "ok"
+		};
+
+		led1 {
+			gpios = <&gpio 17 2 0>;
+			name = "user-led1"
+		};
+	};
+};
+.Ed
+.Pp
+Both methods are equally supported and it is possible to have the leds
+defined with any sort of mix between the methods.
+The only restriction is that a GPIO pin cannot be mapped by two different
+(gpio)leds.
+.Pp
+For more details about the
+.Va gpios
+property, please consult
+.Pa /usr/src/sys/boot/fdt/dts/bindings-gpio.txt .
+.Pp
+The property
+.Va name
+is the arbitrary name of device in
+.Pa /dev/led/
+to create for
+.Xr led 4 .
 .Sh SEE ALSO
 .Xr gpio 4 ,
 .Xr led 4 ,
